BIC                   package:nlme                   R Documentation

Bayesian Information Criterion

Description:

     This generic function calculates the Bayesian information
     criterion, also known as Schwarz's Bayesian criterion (SBC), for
     one or several fitted model objects for which a log-likelihood
     value can be obtained, according to the formula -2*log-likelihood
     + npar*log(nobs), where npar  represents the number of parameters
     and nobs the number of observations in the fitted model.

Usage:

     BIC(object, ...)

Arguments:

  object: a fitted model object, for which there exists a 'logLik'
          method to extract the corresponding log-likelihood, or an
          object inheriting from class 'logLik'.

     ...: optional fitted model objects.

Value:

     if just one object is provided, returns a numeric value with the
     corresponding BIC; if more than one object are provided, returns a
     'data.frame' with rows corresponding to the objects and columns
     representing the number of parameters in the model ('df') and the
     BIC.

Author(s):

     Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates
     bates@stat.wisc.edu

References:

     Schwarz, G. (1978) "Estimating the Dimension of a Model", Annals
     of Statistics, 6, 461-464.

See Also:

     'logLik', 'AIC', 'BIC.logLik'

Examples:

     data(Orthodont)
     fm1 <- lm(distance ~ age, data = Orthodont) # no random effects
     BIC(fm1)
     fm2 <- lme(distance ~ age, data = Orthodont) # random is ~age
     BIC(fm1, fm2)

